- job:
    name: jdk14-publish-all-results
    project-type: freestyle
    defaults: global
    description: |
        * Convenience job to invoke all the scripts that sync the results to openjdk.linaro.org.
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            openjdk-members:
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 10
            artifact-num-to-keep: 5
    disabled: true
    node: master
    display-name: 'DELETE ME'
    parameters:
        - string:
            name: PUBLISH_DEST
            default: '/home/openjdk-testing/jdk14'
        - string:
            name: PUBLISH_HOST
            default: 'stuart.monteith@people.linaro.org'
        - string:
            name: YEAR
            default: 'default'
        - string:
            name: DAY_OF_YEAR
            default: 'default'
    wrappers:
        - timestamps
    builders:
        - trigger-builds:
            - project: jdk14-jtreg-test-publish-results
              block: true
              current-parameters: true
        - trigger-builds:
            - project: jdk14-specjbb2015-benchmark-publish-results
              block: true
              current-parameters: true
        - trigger-builds:
            - project: jdk14-terasort-benchmark-publish-results
              block: true
              current-parameters: true
        - trigger-builds:
            - project: jdk14-jcstress-test-publish-results
              block: true
              current-parameters: true
    publishers:
        - email:
            recipients: 'fathi.boudra@linaro.org stuart.monteith@linaro.org'
